AdminModelsHierarchy
Admin-каталог моделей: возвращает RAW prices (без plan-коэф) — чтобы админка видела ровно те ставки, которые они выставили. По умолчанию IncludeAll=true (всё, включая нерекомендованные) — админу нужно видеть весь sync, а не curated подмножество.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using Bearer scheme
In: header
Query Parameters
modelTypeId?string
Format
uuidincludeAll?boolean
Default
trueResponse Body
application/json
curl -X GET "https://api.speaknode.com/api/Admin/models/hierarchy"{
"model_types": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"code": "string",
"is_active": true,
"gateways": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"code": "string",
"is_active": true,
"models": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"code": "string",
"is_active": true,
"allow_temperature": true,
"allow_speed": true,
"author": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"code": "string"
},
"versions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"version": "string",
"code": "string",
"is_active": true,
"name": "string",
"description": "string",
"is_recommended": true,
"input_price_per_m_tokens": 0.1,
"input_cached_price_per_m_tokens": 0.1,
"input_cache_write_price_per_m_tokens": 0.1,
"output_price_per_m_tokens": 0.1,
"price_per_m_characters": 0.1,
"price_per_minute": 0.1,
"latest_benchmark": {
"benchmark_run_id": "7bd0d9ab-9782-4030-ae33-fe3a0546446c",
"benchmark_id": "f1254acf-0c77-40a6-91d2-a34bd4970fd9",
"benchmark_title": "string",
"model_type_code": "string",
"recorded_at": "2019-08-24T14:15:22Z",
"avg_ttft_ms": 0,
"avg_tokens_per_sec": 0,
"wer": 0,
"cer": 0,
"avg_rtfx": 0
}
}
],
"hosting_locale": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string",
"flag": "string"
}
}
]
}
]
}
]
}